Subject: Re: [PATCH net] tools: ynl: add the Python requirements.txt file

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Mar 2023 10:52:03 -0700

On Tue, 21 Mar 2023 12:34:50 +0000 Michalik, Michal wrote:
> > Assuming the libraries are following best practice for their version
> >  numbering (e.g. semver), you should be able to use ~= ('compatible
> >  version' [1]).
> > For example, `jsonschema ~= 4.0` will allow any 4.x.y release, but
> >  not 5.0.0 since that could have breaking API changes.
> > I would recommend against pinning to a specific version of a
> >  dependency; this is a development tree, not a deployment script.
> 
> This is actually a good idea. Let's wait for Jakub to confirm if he feels
> the Python requirements file is a good idea in this case. If he confirms,
> I would update the libraries according to your suggestion. Thanks.

Given the "system script" nature of the project (vs "full application")
I don't find the requirements to be necessary right now. But I don't
know much about Python, so maybe Ed can make a call? :D